# Deprecated API

## Contents

- Fields
- Methods

Fields
org.apache.sysds.parser.dml.DmlLexer.tokenNames: Use `DmlLexer.VOCABULARY` instead.
org.apache.sysds.parser.dml.DmlParser.tokenNames: Use `DmlParser.VOCABULARY` instead.

Methods
org.apache.sysds.parser.dml.DmlLexer.getTokenNames()
org.apache.sysds.parser.dml.DmlParser.getTokenNames()
org.apache.sysds.runtime.instructions.spark.utils.FrameRDDConverterUtils.binaryBlockToDataFrame​(SQLContext, JavaPairRDD<Long, FrameBlock>, DataCharacteristics, Types.ValueType[])
org.apache.sysds.runtime.instructions.spark.utils.RDDConverterUtils.binaryBlockToDataFrame​(SQLContext, JavaPairRDD<MatrixIndexes, MatrixBlock>, DataCharacteristics, boolean)
org.apache.sysds.runtime.lineage.LineageItem.resetVisitStatus()
org.apache.sysds.runtime.lineage.LineageItemUtils.rDecompress​(LineageItem)
org.apache.sysds.runtime.matrix.data.LibMatrixDatagen.computeNNZperBlock​(long, long, int, double)